Package: org.codehaus.groovy.runtime.callsite

## [Java] Class MetaClassConstructorSite

- org.codehaus.groovy.runtime.callsite.MetaClassConstructorSite

-     public class MetaClassConstructorSite
      extends MetaClassSite

  Call site for constructor metaclass - cached method - not cached

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaClassConstructorSite(CallSite site, MetaClass metaClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `callConstructor(Object receiver, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Constructor Detail

    - #### public MetaClassConstructorSite(CallSite site, MetaClass metaClass)

  - ### Method Detail

    - #### @Override
      public Object callConstructor(Object receiver, Object[] args)